
Figure - Bug #116546
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开文件Mini小窗,再点击桌面上的文件图标，文件小窗恢复默认状态
2023-02-24 17:12 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-24

Priority: Normal Due date: 2023-03-03

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 没有判断是否在mini状态下重新启动的activity,就强制性的将窗口大小设置成默认的大小

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开文件Mini小窗

2、点击桌面上的文件图标

【预期结果】

2、文件mini小窗仍保持原状态

【实际结果】

2、文件小窗恢复默认状态

【复现率】

3/3

History

#1 - 2023-02-24 17:13 - CD TEST-方永红

- Category changed from CD-FW to 窗口定制

#2 - 2023-02-27 10:51 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是,没有判断是否在mini状态下重新启动的activity,就强制性的将窗口大小设置成默认的大小

修改方法是:先判断Task的mLastNonFullscreenBounds是否为空,为空说明是第一次进入activity,需要设置默认大小

不为空的话,就直接使用mLastNonFullscreenBounds就行,mLastNonFullscreenBounds记录的是上一次Task的bounds大小

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/184400

2025-07-04 1/2

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/184400


#3 - 2023-02-28 10:32 - CD FW-鲁凯峰

- Due date set to 2023-03-03

#4 - 2023-03-06 13:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184400 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: set mini window boundTC-RID: 1201-0204601IssueID: TS-R-BUG-116546Change-Id: Ied158fe2d8d57fedc02267cb23cd743c3a5ef8a8

#5 - 2023-03-06 13:54 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 没有判断是否在mini状态下重新启动的activity,就强制性的将窗口大小设置成默认的大小

#6 - 2023-03-24 13:33 - CD TEST-方永红

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

#7 - 2023-03-24 13:34 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

3.24

验证通过

#8 - 2023-03-24 13:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-24 16-53-43.mp4 17.3 MB 2023-02-24 CD TEST-方永红
